Package oracle.sql

## Class CharacterBuffer

- java.lang.Object
- - oracle.sql.CharacterBuffer

    public final class CharacterBuffer
    extends Object

This class allows the program to construct an array of bytes in some representation using the 32 bit values returned by a CharacterWalker.

See Also:
  `CharacterWalker`, `CharacterSet`

### Constructor Summary

Constructors
`CharacterBuffer​(CharacterSet charSet)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `append​(int c)` Append the (posibly multi-byte) representation of c.
`byte[]` `getBytes()` The accumulated data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharacterBuffer

    public CharacterBuffer​(CharacterSet charSet)

Constructor.

Parameters:
  `charSet` - the CharacterSet in which the data is represented

### Method Detail

#### append

    public void append​(int c)
                throws SQLException

Append the (posibly multi-byte) representation of c.

Parameters:
  `c` - a value in the 32 bit representation of characters of charSet.
Throws:
  `SQLException` - if c is not a value in the 32 bit representation of charSet.

#### getBytes

    public byte[] getBytes()

The accumulated data

Returns:
  an array of bytes containing the representation of all characters that have been appended.